about summary refs log tree commit diff
path: root/ops/infra/dns/import
diff options
context:
space:
mode:
Diffstat (limited to 'ops/infra/dns/import')
-rwxr-xr-xops/infra/dns/import11
1 files changed, 11 insertions, 0 deletions
diff --git a/ops/infra/dns/import b/ops/infra/dns/import
new file mode 100755
index 0000000000..e79e426b55
--- /dev/null
+++ b/ops/infra/dns/import
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -ue
+
+# Imports a zone file into a Google Cloud DNS zone of the same name
+readonly ZONE="${1}"
+
+gcloud dns record-sets import "${ZONE}" \
+       --project composite-watch-759 \
+       --zone-file-format \
+       --delete-all-existing \
+       --zone "${ZONE}"